setup-ipsec-vpn/.github/workflows/main.yml

1116 lines
35 KiB
YAML
Raw Normal View History

2021-03-29 22:05:45 +02:00
#
2022-01-02 07:09:03 +01:00
# Copyright (C) 2020-2022 Lin Song <linsongui@gmail.com>
2021-03-29 22:05:45 +02:00
#
# This work is licensed under the Creative Commons Attribution-ShareAlike 3.0
# Unported License: http://creativecommons.org/licenses/by-sa/3.0/
#
# Attribution required: please include my name in any derivative and let me
# know how you have improved it!
name: vpn test
on:
push:
branches: [master]
paths:
- '**.sh'
- '.github/workflows/main.yml'
jobs:
shellcheck:
runs-on: ubuntu-20.04
2021-03-10 06:26:06 +01:00
if: github.repository_owner == 'hwdsl2'
steps:
2022-02-06 18:42:55 +01:00
- uses: actions/checkout@ec3a7ce113134d7a93b817d10a8272cb61118579 # 2.4.0
with:
persist-credentials: false
- name: Check
run: |
2020-07-09 08:41:52 +02:00
if [ ! -x /usr/bin/shellcheck ]; then
export DEBIAN_FRONTEND=noninteractive
2021-08-03 07:49:11 +02:00
sudo apt-get -yqq update
sudo apt-get -yqq install shellcheck
2020-07-09 08:41:52 +02:00
fi
cd "$GITHUB_WORKSPACE"
pwd
2020-07-09 08:41:52 +02:00
ls -ld vpnsetup.sh
2022-02-06 08:12:44 +01:00
export SHELLCHECK_OPTS="-e SC1090,SC1091"
shellcheck --version
2020-07-09 08:41:52 +02:00
shopt -s globstar
ls -ld -- **/*.sh
shellcheck **/*.sh
2021-06-04 05:09:56 +02:00
check_urls:
needs: shellcheck
runs-on: ubuntu-20.04
if: github.repository_owner == 'hwdsl2'
steps:
2022-02-06 18:42:55 +01:00
- uses: actions/checkout@ec3a7ce113134d7a93b817d10a8272cb61118579 # 2.4.0
2021-06-04 05:09:56 +02:00
with:
persist-credentials: false
- name: Check
run: |
cd "$GITHUB_WORKSPACE"
mkdir workdir
cd workdir
2021-08-10 10:43:12 +02:00
set -ex
2021-06-04 05:09:56 +02:00
export DEBIAN_FRONTEND=noninteractive
2021-08-03 07:49:11 +02:00
sudo apt-get -yqq update
sudo apt-get -yqq install wget curl
2021-06-04 05:09:56 +02:00
2021-09-15 06:53:56 +02:00
wg="wget -t 3 -T 30 -nv -O"
gh="https://github.com/hwdsl2/setup-ipsec-vpn/raw/master"
gi="https://git.io"
2021-06-04 05:09:56 +02:00
2021-09-15 06:53:56 +02:00
$wg vpnsetup.sh "$gi/vpnsetup"
$wg vpnsetup_centos.sh "$gi/vpnsetup-centos"
$wg vpnsetup_amzn.sh "$gi/vpnsetup-amzn"
$wg vpnsetup_ubuntu.sh "$gi/vpnsetup-ubuntu"
$wg vpnsetup_alpine.sh "$gi/vpnsetup-alpine"
$wg quickstart.sh "$gi/vpnquickstart"
$wg ikev2setup.sh "$gi/ikev2setup"
$wg vpnupgrade.sh "$gi/vpnupgrade"
$wg vpnupgrade_centos.sh "$gi/vpnupgrade-centos"
$wg vpnupgrade_amzn.sh "$gi/vpnupgrade-amzn"
$wg vpnupgrade_ubuntu.sh "$gi/vpnupgrade-ubuntu"
$wg vpnupgrade_alpine.sh "$gi/vpnupgrade-alpine"
$wg vpnuninstall.sh "$gi/vpnuninstall"
2021-06-04 05:09:56 +02:00
2021-09-15 06:53:56 +02:00
$wg vpnsetup2.sh "$gh/vpnsetup.sh"
$wg vpnsetup_centos2.sh "$gh/vpnsetup_centos.sh"
$wg vpnsetup_amzn2.sh "$gh/vpnsetup_amzn.sh"
$wg vpnsetup_ubuntu2.sh "$gh/vpnsetup_ubuntu.sh"
$wg vpnsetup_alpine2.sh "$gh/vpnsetup_alpine.sh"
$wg quickstart2.sh "$gh/extras/quickstart.sh"
$wg ikev2setup2.sh "$gh/extras/ikev2setup.sh"
$wg vpnupgrade2.sh "$gh/extras/vpnupgrade.sh"
$wg vpnupgrade_centos2.sh "$gh/extras/vpnupgrade_centos.sh"
$wg vpnupgrade_amzn2.sh "$gh/extras/vpnupgrade_amzn.sh"
$wg vpnupgrade_ubuntu2.sh "$gh/extras/vpnupgrade_ubuntu.sh"
$wg vpnupgrade_alpine2.sh "$gh/extras/vpnupgrade_alpine.sh"
$wg vpnuninstall2.sh "$gh/extras/vpnuninstall.sh"
2021-06-04 05:09:56 +02:00
2021-09-15 06:53:56 +02:00
diff vpnsetup.sh ../vpnsetup.sh
diff vpnsetup_centos.sh ../vpnsetup_centos.sh
diff vpnsetup_amzn.sh ../vpnsetup_amzn.sh
diff vpnsetup_ubuntu.sh ../vpnsetup_ubuntu.sh
diff vpnsetup_alpine.sh ../vpnsetup_alpine.sh
diff quickstart.sh ../extras/quickstart.sh
diff ikev2setup.sh ../extras/ikev2setup.sh
diff vpnupgrade.sh ../extras/vpnupgrade.sh
2021-06-04 05:09:56 +02:00
diff vpnupgrade_centos.sh ../extras/vpnupgrade_centos.sh
2021-09-15 06:53:56 +02:00
diff vpnupgrade_amzn.sh ../extras/vpnupgrade_amzn.sh
2021-08-14 08:30:40 +02:00
diff vpnupgrade_ubuntu.sh ../extras/vpnupgrade_ubuntu.sh
2021-09-14 16:44:06 +02:00
diff vpnupgrade_alpine.sh ../extras/vpnupgrade_alpine.sh
2021-09-15 06:53:56 +02:00
diff vpnuninstall.sh ../extras/vpnuninstall.sh
2021-06-04 05:09:56 +02:00
2021-09-15 06:53:56 +02:00
diff vpnsetup2.sh ../vpnsetup.sh
diff vpnsetup_centos2.sh ../vpnsetup_centos.sh
diff vpnsetup_amzn2.sh ../vpnsetup_amzn.sh
diff vpnsetup_ubuntu2.sh ../vpnsetup_ubuntu.sh
diff vpnsetup_alpine2.sh ../vpnsetup_alpine.sh
diff quickstart2.sh ../extras/quickstart.sh
diff ikev2setup2.sh ../extras/ikev2setup.sh
diff vpnupgrade2.sh ../extras/vpnupgrade.sh
2021-06-04 05:09:56 +02:00
diff vpnupgrade_centos2.sh ../extras/vpnupgrade_centos.sh
2021-09-15 06:53:56 +02:00
diff vpnupgrade_amzn2.sh ../extras/vpnupgrade_amzn.sh
2021-08-14 08:30:40 +02:00
diff vpnupgrade_ubuntu2.sh ../extras/vpnupgrade_ubuntu.sh
2021-09-14 16:44:06 +02:00
diff vpnupgrade_alpine2.sh ../extras/vpnupgrade_alpine.sh
2021-09-15 06:53:56 +02:00
diff vpnuninstall2.sh ../extras/vpnuninstall.sh
2022-01-05 06:40:59 +01:00
url1="https://mirrors.kernel.org/ubuntu/pool/main/n/nss"
url2="https://mirrors.kernel.org/ubuntu/pool/universe/n/nss"
deb1="libnss3_3.49.1-1ubuntu1.6_amd64.deb"
deb2="libnss3-dev_3.49.1-1ubuntu1.6_amd64.deb"
deb3="libnss3-tools_3.49.1-1ubuntu1.6_amd64.deb"
$wg 1.deb "$url1/$deb1"
$wg 2.deb "$url1/$deb2"
$wg 3.deb "$url2/$deb3"
2021-09-15 06:53:56 +02:00
bl="https://bit.ly"
curl -fsSI "$bl/addvpnuser" | grep -q 'add_vpn_user.sh'
curl -fsSI "$bl/delvpnuser" | grep -q 'del_vpn_user.sh'
curl -fsSI "$bl/updatevpnusers" | grep -q 'update_vpn_users.sh'
2022-01-05 06:40:59 +01:00
curl -fsSI "$bl/ikev2onlymode" | grep -q 'ikev2onlymode.sh'
2021-06-04 05:09:56 +02:00
test_set_1:
2021-06-04 05:09:56 +02:00
needs: [shellcheck, check_urls]
runs-on: ubuntu-20.04
if: github.repository_owner == 'hwdsl2'
strategy:
matrix:
2022-01-05 06:40:59 +01:00
os_version: ["centos:8s", "centos:7", "rockylinux:8", "almalinux:8", "amazonlinux:2"]
fail-fast: false
env:
OS_VERSION: ${{ matrix.os_version }}
steps:
- name: Build
run: |
mkdir -p "$GITHUB_WORKSPACE/testing/${OS_VERSION//:}"
cd "$GITHUB_WORKSPACE/testing/${OS_VERSION//:}"
2020-07-09 08:41:52 +02:00
cat > run.sh <<'EOF'
#!/bin/bash
2021-08-07 09:15:11 +02:00
set -eEx
2021-06-04 05:09:56 +02:00
log1=/var/log/secure
log2=/var/log/messages
2020-07-11 23:48:12 +02:00
trap 'catch $? $LINENO' ERR
catch() {
echo "Error $1 occurred on line $2."
cat -n -- "$0" | tail -n+"$(($2 - 3))" | head -n7
exit 1
}
2021-06-04 05:09:56 +02:00
restart_ipsec() {
2021-08-07 09:15:11 +02:00
if ! command -v amazon-linux-extras; then
systemctl restart ipsec
fi
2021-06-04 05:09:56 +02:00
echo "Waiting for IPsec to restart."
count=0
2021-06-13 05:34:34 +02:00
while ! grep -q "pluto\[$(cat /var/run/pluto/pluto.pid)\]: listening for IKE messages" "$log1"; do
2021-06-04 05:09:56 +02:00
[ "$count" -ge "30" ] && { echo "IPsec failed to start."; exit 1; }
count=$((count+1))
printf '%s' '.'
sleep 0.5
done
echo
}
2020-07-09 08:41:52 +02:00
2021-06-04 05:09:56 +02:00
restart_fail2ban() {
rm -f /var/log/fail2ban.log
2020-07-11 23:48:12 +02:00
systemctl restart fail2ban
2021-06-04 05:09:56 +02:00
echo "Waiting for Fail2ban to restart."
count=0
while ! grep -qs -E "Jail '(sshd?|ssh-iptables)' started" /var/log/fail2ban.log; do
[ "$count" -ge "30" ] && { echo "Fail2ban failed to start."; exit 1; }
count=$((count+1))
printf '%s' '.'
sleep 0.5
done
echo
}
2021-08-03 07:49:11 +02:00
yum -y -q update
2021-06-04 05:09:56 +02:00
yum -y -q install wget rsyslog
systemctl start rsyslog
2021-09-14 16:44:06 +02:00
wget -t 3 -T 30 -nv -O vpnsetup.sh https://git.io/vpnsetup
2022-01-29 08:24:22 +01:00
sed -i '/curl /a sed -i "/swan_ver_latest=/s/^/#/" "$tmpdir/vpn.sh"' vpnsetup.sh
2021-06-04 05:09:56 +02:00
sh vpnsetup.sh
systemctl start xl2tpd
restart_ipsec
restart_fail2ban
cat /var/log/fail2ban.log
2020-07-09 08:41:52 +02:00
netstat -anpu | grep pluto
netstat -anpu | grep xl2tpd
2021-06-20 22:22:32 +02:00
iptables -nvL
iptables -nvL | grep -q 'ppp+'
iptables -nvL | grep -q '192\.168\.43\.0/24'
iptables -nvL -t nat
iptables -nvL -t nat | grep -q '192\.168\.42\.0/24'
iptables -nvL -t nat | grep -q '192\.168\.43\.0/24'
2021-06-04 05:09:56 +02:00
grep pluto "$log1"
grep xl2tpd "$log2"
ipsec status
ipsec status | grep -q l2tp-psk
ipsec status | grep -q xauth-psk
2021-01-29 17:04:09 +01:00
2021-06-04 05:09:56 +02:00
ls -l /usr/bin/ikev2.sh
ls -l /opt/src/ikev2.sh
2020-07-09 08:41:52 +02:00
2021-09-14 16:44:06 +02:00
wget -t 3 -T 30 -nv -O vpnunst.sh https://git.io/vpnuninstall
bash vpnunst.sh <<ANSWERS
y
ANSWERS
2021-09-16 06:22:01 +02:00
rm -f /usr/bin/ikev2.sh /opt/src/ikev2.sh
2021-09-14 16:44:06 +02:00
if grep -qi stream /etc/redhat-release; then
mkdir /etc/xl2tpd
fi
wget -t 3 -T 30 -nv -O quickstart.sh https://git.io/vpnquickstart
2022-01-29 08:24:22 +01:00
sed -i -e '/curl /a sed -i "/swan_ver_latest=/s/^/#/" "$tmpdir/vpn.sh"' \
-e '/sleep 1/a sed -i "/swan_ver_latest=/s/^/#/" /opt/src/ikev2.sh' quickstart.sh
2021-09-14 16:44:06 +02:00
sh quickstart.sh
systemctl restart xl2tpd
restart_ipsec
restart_fail2ban
cat /var/log/fail2ban.log
netstat -anpu | grep pluto
netstat -anpu | grep xl2tpd
iptables -nvL
iptables -nvL | grep -q 'ppp+'
iptables -nvL | grep -q '192\.168\.43\.0/24'
iptables -nvL -t nat
iptables -nvL -t nat | grep -q '192\.168\.42\.0/24'
iptables -nvL -t nat | grep -q '192\.168\.43\.0/24'
ipsec status
ipsec status | grep -q l2tp-psk
ipsec status | grep -q xauth-psk
ipsec status | grep -q ikev2-cp
ls -ld /etc/ipsec.d/vpnclient.mobileconfig
ls -ld /etc/ipsec.d/vpnclient.sswan
ls -ld /etc/ipsec.d/vpnclient.p12
ls -l /usr/bin/ikev2.sh
ls -l /opt/src/ikev2.sh
bash vpnunst.sh <<ANSWERS
y
ANSWERS
2021-09-16 06:22:01 +02:00
rm -f /usr/bin/ikev2.sh /opt/src/ikev2.sh
2021-09-14 16:44:06 +02:00
if grep -qi stream /etc/redhat-release; then
mkdir /etc/xl2tpd
fi
if [ "$1" != "amazon" ]; then
wget -t 3 -T 30 -nv -O vpnsetup.sh https://git.io/vpnsetup-centos
else
wget -t 3 -T 30 -nv -O vpnsetup.sh https://git.io/vpnsetup-amzn
fi
2022-01-29 08:24:22 +01:00
sed -i '/swan_ver_latest=/s/^/#/' vpnsetup.sh
2021-09-14 16:44:06 +02:00
2020-07-09 08:41:52 +02:00
VPN_IPSEC_PSK='your_ipsec_pre_shared_key' \
VPN_USER='your_vpn_username' \
VPN_PASSWORD='your_vpn_password' \
2021-02-20 22:51:40 +01:00
VPN_DNS_SRV1='1.1.1.1' \
VPN_DNS_SRV2='1.0.0.1' \
2021-08-20 06:00:57 +02:00
bash vpnsetup.sh
2020-07-09 08:41:52 +02:00
2021-09-16 06:22:01 +02:00
systemctl restart xl2tpd
2021-06-04 05:09:56 +02:00
restart_ipsec
2021-09-16 06:22:01 +02:00
netstat -anpu | grep pluto
netstat -anpu | grep xl2tpd
iptables -nvL
iptables -nvL | grep -q 'ppp+'
iptables -nvL | grep -q '192\.168\.43\.0/24'
iptables -nvL -t nat
iptables -nvL -t nat | grep -q '192\.168\.42\.0/24'
iptables -nvL -t nat | grep -q '192\.168\.43\.0/24'
ipsec status
ipsec status | grep -q l2tp-psk
ipsec status | grep -q xauth-psk
2021-02-20 22:51:40 +01:00
grep -q "your_ipsec_pre_shared_key" /etc/ipsec.secrets
grep -q "your_vpn_username" /etc/ppp/chap-secrets
grep -q "your_vpn_password" /etc/ppp/chap-secrets
grep -q "your_vpn_username" /etc/ipsec.d/passwd
grep -q 'modecfgdns="1.1.1.1 1.0.0.1"' /etc/ipsec.conf
grep -q 'ms-dns 1.1.1.1' /etc/ppp/options.xl2tpd
grep -q 'ms-dns 1.0.0.1' /etc/ppp/options.xl2tpd
2020-07-09 08:41:52 +02:00
2021-09-16 06:22:01 +02:00
ls -l /usr/bin/ikev2.sh
ls -l /opt/src/ikev2.sh
2021-06-04 05:09:56 +02:00
wget -t 3 -T 30 -nv -O ikev2.sh https://git.io/ikev2setup # hwdsl2
2022-01-29 08:24:22 +01:00
sed -i '/swan_ver_latest=/s/^/#/' ikev2.sh
bash ikev2.sh <<ANSWERS
2020-07-09 08:41:52 +02:00
y
ANSWERS
2020-07-09 08:41:52 +02:00
2021-08-06 08:50:09 +02:00
grep -q 'modecfgdns="8.8.8.8 8.8.4.4"' /etc/ipsec.d/ikev2.conf
2021-02-20 22:51:40 +01:00
ls -ld /etc/ipsec.d/vpnclient.mobileconfig
ls -ld /etc/ipsec.d/vpnclient.sswan
ls -ld /etc/ipsec.d/vpnclient.p12
2021-06-04 05:09:56 +02:00
restart_ipsec
grep pluto "$log1" | tail -n 20
ipsec status | grep -q ikev2-cp
2020-07-09 08:41:52 +02:00
bash ikev2.sh <<ANSWERS
2021-01-19 05:01:39 +01:00
1
2021-08-06 08:50:09 +02:00
invalidclient:
vpnclient
vpnclient2
2020-07-09 08:41:52 +02:00
2021-01-19 05:01:39 +01:00
ANSWERS
2021-02-20 22:51:40 +01:00
ls -ld /etc/ipsec.d/vpnclient2.mobileconfig
ls -ld /etc/ipsec.d/vpnclient2.sswan
ls -ld /etc/ipsec.d/vpnclient2.p12
2021-01-19 05:01:39 +01:00
2021-02-04 04:49:40 +01:00
rm -f /etc/ipsec.d/vpnclient2*
2021-01-19 05:01:39 +01:00
bash ikev2.sh <<ANSWERS
2
2021-08-06 08:50:09 +02:00
nonexistclient
2021-01-19 05:01:39 +01:00
vpnclient2
ANSWERS
2020-07-09 08:41:52 +02:00
2021-02-20 22:51:40 +01:00
ls -ld /etc/ipsec.d/vpnclient2.mobileconfig
ls -ld /etc/ipsec.d/vpnclient2.sswan
ls -ld /etc/ipsec.d/vpnclient2.p12
2020-08-10 01:14:56 +02:00
2021-06-04 05:09:56 +02:00
bash ikev2.sh <<ANSWERS
3
ANSWERS
2021-01-29 17:04:09 +01:00
bash ikev2.sh <<ANSWERS
2021-02-02 05:38:53 +01:00
4
2021-08-06 08:50:09 +02:00
nonexistclient
2021-06-01 09:43:44 +02:00
vpnclient2
y
ANSWERS
2021-08-06 08:50:09 +02:00
bash ikev2.sh <<ANSWERS 2>&1 | grep -i "abort"
4
vpnclient2
ANSWERS
bash ikev2.sh <<ANSWERS 2>&1 | grep -i "abort"
2
vpnclient2
ANSWERS
2021-06-04 05:09:56 +02:00
bash ikev2.sh <<ANSWERS
2021-08-06 08:50:09 +02:00
100
2021-06-04 05:09:56 +02:00
6
ANSWERS
2021-08-06 08:50:09 +02:00
bash ikev2.sh <<ANSWERS 2>&1 | grep -i "abort"
5
ANSWERS
2021-06-01 09:43:44 +02:00
bash ikev2.sh <<ANSWERS
5
2021-01-29 17:04:09 +01:00
y
ANSWERS
2021-06-04 05:09:56 +02:00
restart_ipsec
2021-02-20 22:51:40 +01:00
ls -ld /etc/ipsec.d/ikev2.conf && exit 1
2021-01-29 17:04:09 +01:00
ipsec status | grep -q l2tp-psk
ipsec status | grep -q xauth-psk
2021-02-20 22:51:40 +01:00
ipsec status | grep -q ikev2-cp && exit 1
2021-01-29 17:04:09 +01:00
certutil -L -d sql:/etc/ipsec.d
rm -f /etc/ipsec.d/vpnclient*
2021-04-10 23:25:22 +02:00
2021-08-06 08:50:09 +02:00
VPN_DNS_SRV1=invaliddns \
bash ikev2.sh --auto 2>&1 | grep -i "invalid"
sed -i '/^include /d' /etc/ipsec.conf
2021-04-10 23:25:22 +02:00
VPN_CLIENT_NAME=vpnclient1 \
VPN_DNS_NAME=vpn.example.com \
VPN_DNS_SRV1=1.1.1.1 \
VPN_DNS_SRV2=1.0.0.1 \
bash ikev2.sh --auto
2021-02-20 22:51:40 +01:00
grep -q 'leftid=@vpn.example.com' /etc/ipsec.d/ikev2.conf
grep -q 'modecfgdns="1.1.1.1 1.0.0.1"' /etc/ipsec.d/ikev2.conf
2021-04-10 23:25:22 +02:00
ls -ld /etc/ipsec.d/vpnclient1.mobileconfig
ls -ld /etc/ipsec.d/vpnclient1.sswan
ls -ld /etc/ipsec.d/vpnclient1.p12
grep -q 'vpn.example.com' /etc/ipsec.d/vpnclient1.mobileconfig
grep -q 'vpn.example.com' /etc/ipsec.d/vpnclient1.sswan
2021-06-04 05:09:56 +02:00
restart_ipsec
2021-01-29 17:04:09 +01:00
ipsec status | grep -q ikev2-cp
2021-08-06 08:50:09 +02:00
bash ikev2.sh --auto --addclient invalidclient: 2>&1 | grep -i "warning"
bash ikev2.sh --addclient invalidclient: 2>&1 | grep -i "invalid"
bash ikev2.sh --addclient vpnclient1 2>&1 | grep -i "already exists"
2021-01-29 17:04:09 +01:00
bash ikev2.sh --addclient vpnclient2
2021-02-20 22:51:40 +01:00
ls -ld /etc/ipsec.d/vpnclient2.mobileconfig
ls -ld /etc/ipsec.d/vpnclient2.sswan
ls -ld /etc/ipsec.d/vpnclient2.p12
2021-01-29 17:04:09 +01:00
2021-08-06 08:50:09 +02:00
bash ikev2.sh --exportclient nonexistclient 2>&1 | grep -i "does not exist"
2021-02-04 04:49:40 +01:00
rm -f /etc/ipsec.d/vpnclient2*
2021-01-29 17:04:09 +01:00
bash ikev2.sh --exportclient vpnclient2
2021-02-20 22:51:40 +01:00
ls -ld /etc/ipsec.d/vpnclient2.mobileconfig
ls -ld /etc/ipsec.d/vpnclient2.sswan
ls -ld /etc/ipsec.d/vpnclient2.p12
2021-01-29 17:04:09 +01:00
2021-08-06 08:50:09 +02:00
bash ikev2.sh --addclient vpnclient2 --exportclient vpnclient2 2>&1 | grep -i "invalid"
2021-11-11 05:49:12 +01:00
bash ikev2.sh --listclients | grep "vpnclient1 \+valid"
bash ikev2.sh --listclients | grep "vpnclient2 \+valid"
2021-08-06 08:50:09 +02:00
bash ikev2.sh --revokeclient nonexistclient 2>&1 | grep -i "does not exist"
2021-06-04 05:09:56 +02:00
bash ikev2.sh --revokeclient vpnclient2 <<ANSWERS
2021-04-24 23:16:44 +02:00
y
ANSWERS
2021-11-11 05:49:12 +01:00
bash ikev2.sh --listclients | grep "vpnclient2 \+revoked"
2021-08-06 08:50:09 +02:00
bash ikev2.sh --revokeclient vpnclient2 2>&1 | grep -i "already been revoked"
bash ikev2.sh --exportclient vpnclient2 2>&1 | grep -i "revoked"
bash ikev2.sh -h 2>&1 | grep -i "usage:"
bash ikev2.sh --invalidoption 2>&1 | grep -i "usage:"
bash ikev2.sh --removeikev2 --exportclient vpnclient1 2>&1 | grep -i "invalid"
bash ikev2.sh --removeikev2 <<ANSWERS
y
ANSWERS
restart_ipsec
bash ikev2.sh <<ANSWERS
y
invalidfqdn
vpn.example.com
y
invaliddns
1.1.1.1
invaliddns
1.0.0.1
y
ANSWERS
grep -q 'leftid=@vpn.example.com' /etc/ipsec.d/ikev2.conf
grep -q 'modecfgdns="1.1.1.1 1.0.0.1"' /etc/ipsec.d/ikev2.conf
restart_ipsec
ipsec status | grep -q ikev2-cp
bash ikev2.sh --removeikev2 <<ANSWERS
y
ANSWERS
restart_ipsec
bash ikev2.sh <<ANSWERS
invalidip
1.2.3.4
invalidclient:
vpnclient1
1000
12
y
1.1.1.1
y
ANSWERS
grep -q 'leftid=1.2.3.4' /etc/ipsec.d/ikev2.conf
grep -q 'modecfgdns=1.1.1.1' /etc/ipsec.d/ikev2.conf
restart_ipsec
ipsec status | grep -q ikev2-cp
bash ikev2.sh --removeikev2 <<ANSWERS
y
ANSWERS
restart_ipsec
VPN_DNS_SRV1=1.1.1.1 \
bash ikev2.sh --auto
grep -q 'modecfgdns=1.1.1.1' /etc/ipsec.d/ikev2.conf
restart_ipsec
ipsec status | grep -q ikev2-cp
bash ikev2.sh --removeikev2 <<ANSWERS
y
ANSWERS
restart_ipsec
bash ikev2.sh --auto
grep -q 'modecfgdns="8.8.8.8 8.8.4.4"' /etc/ipsec.d/ikev2.conf
restart_ipsec
ipsec status | grep -q ikev2-cp
2021-09-14 16:44:06 +02:00
wget -t 3 -T 30 -nv -O vpnup.sh https://git.io/vpnupgrade
2022-01-29 08:24:22 +01:00
sed -i '/curl /a sed -i "/swan_ver_latest=/s/^/#/" "$tmpdir/vpnup.sh"' vpnup.sh
2021-09-14 16:44:06 +02:00
2022-01-29 08:28:05 +01:00
for ver in 4.4 ""; do
2021-09-14 16:44:06 +02:00
sed -i "s/^SWAN_VER=.*/SWAN_VER=$ver/" vpnup.sh
bash vpnup.sh <<ANSWERS
y
ANSWERS
restart_ipsec
ipsec --version | grep "$ver"
ipsec status | grep -q l2tp-psk
ipsec status | grep -q xauth-psk
ipsec status | grep -q ikev2-cp
done
2021-08-03 07:49:11 +02:00
if [ "$1" != "amazon" ]; then
2021-06-04 05:09:56 +02:00
wget -t 3 -T 30 -nv -O vpnup.sh https://git.io/vpnupgrade-centos
2021-04-24 23:16:44 +02:00
else
2021-06-04 05:09:56 +02:00
wget -t 3 -T 30 -nv -O vpnup.sh https://git.io/vpnupgrade-amzn
2021-04-24 23:16:44 +02:00
fi
2022-01-29 08:24:22 +01:00
sed -i '/swan_ver_latest=/s/^/#/' vpnup.sh
2021-04-24 23:16:44 +02:00
2022-01-29 23:36:57 +01:00
for ver in 4.5 ""; do
2021-06-04 05:09:56 +02:00
sed -i "s/^SWAN_VER=.*/SWAN_VER=$ver/" vpnup.sh
2022-01-12 06:33:00 +01:00
bash vpnup.sh <<ANSWERS
y
ANSWERS
2021-06-04 05:09:56 +02:00
restart_ipsec
2021-08-20 06:00:57 +02:00
ipsec --version | grep "$ver"
2021-06-04 05:09:56 +02:00
ipsec status | grep -q l2tp-psk
ipsec status | grep -q xauth-psk
ipsec status | grep -q ikev2-cp
done
2021-01-29 17:04:09 +01:00
bash ikev2.sh --removeikev2 <<ANSWERS
2021-01-19 08:05:48 +01:00
y
ANSWERS
2021-06-04 05:09:56 +02:00
restart_ipsec
2021-02-20 22:51:40 +01:00
ls -ld /etc/ipsec.d/ikev2.conf && exit 1
2021-01-19 08:05:48 +01:00
ipsec status | grep -q l2tp-psk
ipsec status | grep -q xauth-psk
2021-02-20 22:51:40 +01:00
ipsec status | grep -q ikev2-cp && exit 1
2021-01-19 08:05:48 +01:00
certutil -L -d sql:/etc/ipsec.d
exit 0
EOF
2021-04-26 07:08:16 +02:00
if [ "$OS_VERSION" = "centos:8s" ]; then
echo "FROM quay.io/centos/centos:stream8" > Dockerfile
else
echo "FROM $OS_VERSION" > Dockerfile
fi
cat >> Dockerfile <<'EOF'
ENV container docker
WORKDIR /opt/src
RUN if command -v amazon-linux-extras; then amazon-linux-extras install -y kernel-ng; fi
RUN (cd /lib/systemd/system/sysinit.target.wants/; for i in *; do [ "$i" = \
systemd-tmpfiles-setup.service ] || rm -f "$i"; done); \
rm -f /lib/systemd/system/multi-user.target.wants/*; \
rm -f /etc/systemd/system/*.wants/*; \
rm -f /lib/systemd/system/local-fs.target.wants/*; \
rm -f /lib/systemd/system/sockets.target.wants/*udev*; \
rm -f /lib/systemd/system/sockets.target.wants/*initctl*; \
rm -f /lib/systemd/system/basic.target.wants/*; \
rm -f /lib/systemd/system/anaconda.target.wants/*;
COPY ./run.sh /opt/src/run.sh
RUN chmod 755 /opt/src/run.sh
VOLUME [ "/sys/fs/cgroup" ]
CMD ["/sbin/init"]
EOF
cat Dockerfile
cat run.sh
docker build -t "${OS_VERSION//:}-test" .
- name: Test
run: |
docker run -d --name "${OS_VERSION//:}-test-1" -v /sys/fs/cgroup:/sys/fs/cgroup:ro \
--privileged "${OS_VERSION//:}-test"
2021-06-04 05:09:56 +02:00
sleep 5
docker exec "${OS_VERSION//:}-test-1" /opt/src/run.sh "${OS_VERSION::6}"
- name: Clear
if: always()
run: |
rm -rf "$GITHUB_WORKSPACE/testing/${OS_VERSION//:}"
docker rm -f "${OS_VERSION//:}-test-1" || true
docker rmi "${OS_VERSION//:}-test" || true
test_set_2:
2021-06-04 05:09:56 +02:00
needs: [shellcheck, check_urls]
runs-on: ubuntu-20.04
if: github.repository_owner == 'hwdsl2'
strategy:
matrix:
2022-02-06 08:12:44 +01:00
os_version: ["ubuntu:20.04", "ubuntu:18.04", "debian:11", "debian:10", "debian:9", "alpine:3.14", "alpine:3.15"]
fail-fast: false
container:
image: ${{ matrix.os_version }}
2021-08-03 07:49:11 +02:00
options: --cap-add=NET_ADMIN --device=/dev/ppp
steps:
- name: Test
run: |
2021-08-07 09:15:11 +02:00
set -ex
2022-02-06 08:12:44 +01:00
os_type=""
[ -f /etc/os-release ] && os_type=$(. /etc/os-release && printf '%s' "$ID")
[ -z "$os_type" ] && exit 1
2021-06-04 05:09:56 +02:00
log1=/var/log/auth.log
2022-02-06 08:12:44 +01:00
if [ "$os_type" = "alpine" ]; then
log2=/var/log/messages
else
log2=/var/log/syslog
fi
2021-06-04 05:09:56 +02:00
restart_ipsec() {
2022-02-06 08:12:44 +01:00
if [ "$os_type" = "alpine" ]; then
ipsec whack --shutdown || true
ipsec pluto --config /etc/ipsec.conf
fi
2021-06-04 05:09:56 +02:00
echo "Waiting for IPsec to restart."
count=0
2021-06-13 05:34:34 +02:00
while ! grep -q "pluto\[$(cat /var/run/pluto/pluto.pid)\]: listening for IKE messages" "$log1"; do
2021-06-04 05:09:56 +02:00
[ "$count" -ge "30" ] && { echo "IPsec failed to start."; exit 1; }
count=$((count+1))
printf '%s' '.'
sleep 0.5
done
echo
}
restart_fail2ban() {
rm -f /var/log/fail2ban.log
service fail2ban restart
echo "Waiting for Fail2ban to restart."
count=0
while ! grep -qs -E "Jail '(sshd?|ssh-iptables)' started" /var/log/fail2ban.log; do
[ "$count" -ge "30" ] && { echo "Fail2ban failed to start."; exit 1; }
count=$((count+1))
printf '%s' '.'
sleep 0.5
done
echo
}
2020-07-09 08:41:52 +02:00
mkdir -p /opt/src
cd /opt/src
echo "# hwdsl2" > run.sh
2020-07-09 08:41:52 +02:00
2022-02-06 08:12:44 +01:00
if [ "$os_type" = "alpine" ]; then
apk add -U wget rsyslog
rsyslogd
else
export DEBIAN_FRONTEND=noninteractive
apt-get -yqq update
apt-get -yqq dist-upgrade
apt-get -yqq install wget rsyslog
service rsyslog start
fi
2021-06-04 05:09:56 +02:00
2021-09-14 16:44:06 +02:00
wget -t 3 -T 30 -nv -O vpnsetup.sh https://git.io/vpnsetup
2022-01-29 08:24:22 +01:00
sed -i '/curl /a sed -i "/swan_ver_latest=/s/^/#/" "$tmpdir/vpn.sh"' vpnsetup.sh
sh vpnsetup.sh
2020-07-09 08:41:52 +02:00
2022-02-06 08:12:44 +01:00
if [ "$os_type" = "alpine" ]; then
ipsec initnss
xl2tpd -c /etc/xl2tpd/xl2tpd.conf
2021-09-14 16:44:06 +02:00
restart_ipsec
2022-02-06 08:12:44 +01:00
else
2021-06-04 05:09:56 +02:00
restart_ipsec
2022-02-06 08:12:44 +01:00
restart_fail2ban
cat /var/log/fail2ban.log
fi
2021-09-14 16:44:06 +02:00
netstat -anpu | grep pluto
netstat -anpu | grep xl2tpd
iptables -nvL
iptables -nvL | grep -q 'ppp+'
iptables -nvL | grep -q '192\.168\.43\.0/24'
iptables -nvL -t nat
iptables -nvL -t nat | grep -q '192\.168\.42\.0/24'
iptables -nvL -t nat | grep -q '192\.168\.43\.0/24'
grep pluto "$log1"
grep xl2tpd "$log2"
ipsec status
ipsec status | grep -q l2tp-psk
ipsec status | grep -q xauth-psk
ls -l /usr/bin/ikev2.sh
ls -l /opt/src/ikev2.sh
wget -t 3 -T 30 -nv -O vpnunst.sh https://git.io/vpnuninstall
bash vpnunst.sh <<ANSWERS
y
ANSWERS
2021-09-16 06:22:01 +02:00
rm -f /usr/bin/ikev2.sh /opt/src/ikev2.sh
2022-02-06 08:12:44 +01:00
if [ "$os_type" = "alpine" ]; then
killall pluto || true
killall xl2tpd || true
fi
2021-09-14 16:44:06 +02:00
wget -t 3 -T 30 -nv -O quickstart.sh https://git.io/vpnquickstart
2022-01-29 08:24:22 +01:00
sed -i -e '/curl /a sed -i "/swan_ver_latest=/s/^/#/" "$tmpdir/vpn.sh"' \
-e '/sleep 1/a sed -i "/swan_ver_latest=/s/^/#/" /opt/src/ikev2.sh' quickstart.sh
2021-09-14 16:44:06 +02:00
sh quickstart.sh
2022-02-06 08:12:44 +01:00
if [ "$os_type" = "alpine" ]; then
xl2tpd -c /etc/xl2tpd/xl2tpd.conf
restart_ipsec
else
restart_ipsec
restart_fail2ban
cat /var/log/fail2ban.log
fi
2021-09-14 16:44:06 +02:00
netstat -anpu | grep pluto
netstat -anpu | grep xl2tpd
iptables -nvL
iptables -nvL | grep -q 'ppp+'
iptables -nvL | grep -q '192\.168\.43\.0/24'
iptables -nvL -t nat
iptables -nvL -t nat | grep -q '192\.168\.42\.0/24'
iptables -nvL -t nat | grep -q '192\.168\.43\.0/24'
ipsec status
ipsec status | grep -q l2tp-psk
ipsec status | grep -q xauth-psk
ipsec status | grep -q ikev2-cp
ls -ld /etc/ipsec.d/vpnclient.mobileconfig
ls -ld /etc/ipsec.d/vpnclient.sswan
ls -ld /etc/ipsec.d/vpnclient.p12
ls -l /usr/bin/ikev2.sh
ls -l /opt/src/ikev2.sh
bash vpnunst.sh <<ANSWERS
y
ANSWERS
2021-09-16 06:22:01 +02:00
rm -f /usr/bin/ikev2.sh /opt/src/ikev2.sh
2021-09-14 16:44:06 +02:00
2022-02-06 08:12:44 +01:00
if [ "$os_type" = "alpine" ]; then
killall pluto || true
killall xl2tpd || true
fi
if [ "$os_type" = "alpine" ]; then
wget -t 3 -T 30 -nv -O vpnsetup.sh https://git.io/vpnsetup-alpine
else
wget -t 3 -T 30 -nv -O vpnsetup.sh https://git.io/vpnsetup-ubuntu
fi
2022-01-29 08:24:22 +01:00
sed -i '/swan_ver_latest=/s/^/#/' vpnsetup.sh
2021-09-14 16:44:06 +02:00
VPN_IPSEC_PSK='your_ipsec_pre_shared_key' \
VPN_USER='your_vpn_username' \
VPN_PASSWORD='your_vpn_password' \
VPN_DNS_SRV1='1.1.1.1' \
VPN_DNS_SRV2='1.0.0.1' \
bash vpnsetup.sh
2022-02-06 08:12:44 +01:00
if [ "$os_type" = "alpine" ]; then
ipsec initnss
xl2tpd -c /etc/xl2tpd/xl2tpd.conf
fi
2021-09-14 16:44:06 +02:00
restart_ipsec
2021-09-16 06:22:01 +02:00
netstat -anpu | grep pluto
netstat -anpu | grep xl2tpd
iptables -nvL
iptables -nvL | grep -q 'ppp+'
iptables -nvL | grep -q '192\.168\.43\.0/24'
iptables -nvL -t nat
iptables -nvL -t nat | grep -q '192\.168\.42\.0/24'
iptables -nvL -t nat | grep -q '192\.168\.43\.0/24'
ipsec status
ipsec status | grep -q l2tp-psk
ipsec status | grep -q xauth-psk
2021-09-14 16:44:06 +02:00
grep -q "your_ipsec_pre_shared_key" /etc/ipsec.secrets
grep -q "your_vpn_username" /etc/ppp/chap-secrets
grep -q "your_vpn_password" /etc/ppp/chap-secrets
grep -q "your_vpn_username" /etc/ipsec.d/passwd
grep -q 'modecfgdns="1.1.1.1 1.0.0.1"' /etc/ipsec.conf
grep -q 'ms-dns 1.1.1.1' /etc/ppp/options.xl2tpd
grep -q 'ms-dns 1.0.0.1' /etc/ppp/options.xl2tpd
2021-09-16 06:22:01 +02:00
ls -l /usr/bin/ikev2.sh
ls -l /opt/src/ikev2.sh
2021-09-14 16:44:06 +02:00
wget -t 3 -T 30 -nv -O ikev2.sh https://git.io/ikev2setup
2022-01-29 08:24:22 +01:00
sed -i '/swan_ver_latest=/s/^/#/' ikev2.sh
2021-09-14 16:44:06 +02:00
bash ikev2.sh <<ANSWERS
y
ANSWERS
grep -q 'modecfgdns="8.8.8.8 8.8.4.4"' /etc/ipsec.d/ikev2.conf
ls -ld /etc/ipsec.d/vpnclient.mobileconfig
ls -ld /etc/ipsec.d/vpnclient.sswan
ls -ld /etc/ipsec.d/vpnclient.p12
restart_ipsec
grep pluto "$log1" | tail -n 20
ipsec status | grep -q ikev2-cp
bash ikev2.sh <<ANSWERS
1
invalidclient:
vpnclient
vpnclient2
ANSWERS
ls -ld /etc/ipsec.d/vpnclient2.mobileconfig
ls -ld /etc/ipsec.d/vpnclient2.sswan
ls -ld /etc/ipsec.d/vpnclient2.p12
rm -f /etc/ipsec.d/vpnclient2*
bash ikev2.sh <<ANSWERS
2
nonexistclient
vpnclient2
ANSWERS
ls -ld /etc/ipsec.d/vpnclient2.mobileconfig
ls -ld /etc/ipsec.d/vpnclient2.sswan
ls -ld /etc/ipsec.d/vpnclient2.p12
bash ikev2.sh <<ANSWERS
3
ANSWERS
bash ikev2.sh <<ANSWERS
4
nonexistclient
vpnclient2
y
ANSWERS
bash ikev2.sh <<ANSWERS 2>&1 | grep -i "abort"
4
vpnclient2
ANSWERS
bash ikev2.sh <<ANSWERS 2>&1 | grep -i "abort"
2
vpnclient2
ANSWERS
bash ikev2.sh <<ANSWERS
100
6
ANSWERS
bash ikev2.sh <<ANSWERS 2>&1 | grep -i "abort"
5
ANSWERS
bash ikev2.sh <<ANSWERS
5
y
ANSWERS
restart_ipsec
ls -ld /etc/ipsec.d/ikev2.conf && exit 1
ipsec status | grep -q l2tp-psk
ipsec status | grep -q xauth-psk
ipsec status | grep -q ikev2-cp && exit 1
certutil -L -d sql:/etc/ipsec.d
rm -f /etc/ipsec.d/vpnclient*
VPN_DNS_SRV1=invaliddns \
bash ikev2.sh --auto 2>&1 | grep -i "invalid"
2022-02-06 08:12:44 +01:00
if [ "$os_type" = "alpine" ]; then
apk del uuidgen
else
apt-get -yqq remove uuid-runtime
fi
2021-09-14 16:44:06 +02:00
sed -i '/^include /d' /etc/ipsec.conf
VPN_CLIENT_NAME=vpnclient1 \
VPN_DNS_NAME=vpn.example.com \
VPN_DNS_SRV1=1.1.1.1 \
VPN_DNS_SRV2=1.0.0.1 \
bash ikev2.sh --auto
grep -q 'leftid=@vpn.example.com' /etc/ipsec.d/ikev2.conf
grep -q 'modecfgdns="1.1.1.1 1.0.0.1"' /etc/ipsec.d/ikev2.conf
ls -ld /etc/ipsec.d/vpnclient1.mobileconfig
ls -ld /etc/ipsec.d/vpnclient1.sswan
ls -ld /etc/ipsec.d/vpnclient1.p12
grep -q 'vpn.example.com' /etc/ipsec.d/vpnclient1.mobileconfig
grep -q 'vpn.example.com' /etc/ipsec.d/vpnclient1.sswan
restart_ipsec
ipsec status | grep -q ikev2-cp
bash ikev2.sh --auto --addclient invalidclient: 2>&1 | grep -i "warning"
bash ikev2.sh --addclient invalidclient: 2>&1 | grep -i "invalid"
bash ikev2.sh --addclient vpnclient1 2>&1 | grep -i "already exists"
bash ikev2.sh --addclient vpnclient2
ls -ld /etc/ipsec.d/vpnclient2.mobileconfig
ls -ld /etc/ipsec.d/vpnclient2.sswan
ls -ld /etc/ipsec.d/vpnclient2.p12
bash ikev2.sh --exportclient nonexistclient 2>&1 | grep -i "does not exist"
rm -f /etc/ipsec.d/vpnclient2*
bash ikev2.sh --exportclient vpnclient2
ls -ld /etc/ipsec.d/vpnclient2.mobileconfig
ls -ld /etc/ipsec.d/vpnclient2.sswan
ls -ld /etc/ipsec.d/vpnclient2.p12
bash ikev2.sh --addclient vpnclient2 --exportclient vpnclient2 2>&1 | grep -i "invalid"
2021-11-11 05:49:12 +01:00
bash ikev2.sh --listclients | grep "vpnclient1 \+valid"
bash ikev2.sh --listclients | grep "vpnclient2 \+valid"
2021-09-14 16:44:06 +02:00
bash ikev2.sh --revokeclient nonexistclient 2>&1 | grep -i "does not exist"
bash ikev2.sh --revokeclient vpnclient2 <<ANSWERS
y
ANSWERS
2021-11-11 05:49:12 +01:00
bash ikev2.sh --listclients | grep "vpnclient2 \+revoked"
2021-09-14 16:44:06 +02:00
bash ikev2.sh --revokeclient vpnclient2 2>&1 | grep -i "already been revoked"
bash ikev2.sh --exportclient vpnclient2 2>&1 | grep -i "revoked"
bash ikev2.sh -h 2>&1 | grep -i "usage:"
bash ikev2.sh --invalidoption 2>&1 | grep -i "usage:"
bash ikev2.sh --removeikev2 --exportclient vpnclient1 2>&1 | grep -i "invalid"
bash ikev2.sh --removeikev2 <<ANSWERS
y
ANSWERS
restart_ipsec
bash ikev2.sh <<ANSWERS
y
invalidfqdn
vpn.example.com
y
invaliddns
1.1.1.1
invaliddns
1.0.0.1
y
ANSWERS
grep -q 'leftid=@vpn.example.com' /etc/ipsec.d/ikev2.conf
grep -q 'modecfgdns="1.1.1.1 1.0.0.1"' /etc/ipsec.d/ikev2.conf
restart_ipsec
ipsec status | grep -q ikev2-cp
bash ikev2.sh --removeikev2 <<ANSWERS
y
ANSWERS
restart_ipsec
bash ikev2.sh <<ANSWERS
invalidip
1.2.3.4
invalidclient:
vpnclient1
1000
12
y
1.1.1.1
y
ANSWERS
grep -q 'leftid=1.2.3.4' /etc/ipsec.d/ikev2.conf
grep -q 'modecfgdns=1.1.1.1' /etc/ipsec.d/ikev2.conf
restart_ipsec
ipsec status | grep -q ikev2-cp
bash ikev2.sh --removeikev2 <<ANSWERS
y
ANSWERS
restart_ipsec
VPN_DNS_SRV1=1.1.1.1 \
bash ikev2.sh --auto
grep -q 'modecfgdns=1.1.1.1' /etc/ipsec.d/ikev2.conf
restart_ipsec
ipsec status | grep -q ikev2-cp
bash ikev2.sh --removeikev2 <<ANSWERS
y
ANSWERS
restart_ipsec
bash ikev2.sh --auto
grep -q 'modecfgdns="8.8.8.8 8.8.4.4"' /etc/ipsec.d/ikev2.conf
restart_ipsec
ipsec status | grep -q ikev2-cp
wget -t 3 -T 30 -nv -O vpnup.sh https://git.io/vpnupgrade
2022-01-29 08:24:22 +01:00
sed -i '/curl /a sed -i "/swan_ver_latest=/s/^/#/" "$tmpdir/vpnup.sh"' vpnup.sh
2021-09-14 16:44:06 +02:00
2022-02-06 08:12:44 +01:00
[ "$os_type" = "alpine" ] && ver1=4.5 || ver1=4.4
for ver in "$ver1" ""; do
if [ "$os_type" = "alpine" ]; then
ipsec whack --shutdown || true
fi
2021-09-14 16:44:06 +02:00
sed -i "s/^SWAN_VER=.*/SWAN_VER=$ver/" vpnup.sh
bash vpnup.sh <<ANSWERS
y
ANSWERS
restart_ipsec
ipsec --version | grep "$ver"
ipsec status | grep -q l2tp-psk
ipsec status | grep -q xauth-psk
ipsec status | grep -q ikev2-cp
done
2022-02-06 08:12:44 +01:00
if [ "$os_type" = "alpine" ]; then
wget -t 3 -T 30 -nv -O vpnup.sh https://git.io/vpnupgrade-alpine
else
wget -t 3 -T 30 -nv -O vpnup.sh https://git.io/vpnupgrade-ubuntu
fi
2022-01-29 08:24:22 +01:00
sed -i '/swan_ver_latest=/s/^/#/' vpnup.sh
2021-09-14 16:44:06 +02:00
2022-01-29 23:36:57 +01:00
for ver in 4.5 ""; do
2022-02-06 08:12:44 +01:00
if [ "$os_type" = "alpine" ]; then
ipsec whack --shutdown || true
fi
2021-09-14 16:44:06 +02:00
sed -i "s/^SWAN_VER=.*/SWAN_VER=$ver/" vpnup.sh
bash vpnup.sh <<ANSWERS
y
ANSWERS
restart_ipsec
ipsec --version | grep "$ver"
ipsec status | grep -q l2tp-psk
ipsec status | grep -q xauth-psk
ipsec status | grep -q ikev2-cp
done
bash ikev2.sh --removeikev2 <<ANSWERS
y
ANSWERS
restart_ipsec
ls -ld /etc/ipsec.d/ikev2.conf && exit 1
ipsec status | grep -q l2tp-psk
ipsec status | grep -q xauth-psk
ipsec status | grep -q ikev2-cp && exit 1
certutil -L -d sql:/etc/ipsec.d